/*****************************************************************************
*                                                                            *
*      COMMON OCEANOGRAPHIC DATA ACCESS SYSTEM (CODAS)                       *
*                                                                            *
*      WRITTEN BY:  RAMON CABRERA, ERIC FIRING, and JULIE RANADA             *
*                   JOINT INSTITUTE FOR MARINE AND ATMOSPHERIC RESEARCH      *
*                   1000 POPE ROAD  MSB 404                                  *
*                   HONOLULU, HI 96822                                       *
*                                                                            *
*      VERSION:     3.00                                                     *
*                                                                            *
*      DATE:        APRIL 1989                                               *
*                                                                            *
*****************************************************************************/
/*

    FILE:  prtspecl.h

          Specialized printing functions and supporting routines.

*/
#ifndef prtspecl_included
#define prtspecl_included

#ifndef dbhost_included
#include "dbhost.h"     /* PROTOTYPE_ALLOWED */
#endif

#ifndef dbext_included
#include "dbext.h"      /* YMDHMS_TIME_TYPE, DMSH_POSITION_TYPE, LONG, ULONG */
#endif

#if PROTOTYPE_ALLOWED
unsigned int print_ymdhms_time(FILE *fp, YMDHMS_TIME_TYPE *t);
unsigned int print_dmsh_position(FILE *fp, DMSH_POSITION_TYPE *p);
void int_bit_pattern(ULONG k, char *b);
unsigned int print_bit_pattern(FILE *fp, ULONG *k);
unsigned int prpckt(FILE *fp, ULONG *pckt);
unsigned int prpckp(FILE *fp, LONG *pckp);
#else
unsigned int print_ymdhms_time();
unsigned int print_dmsh_position();
void int_bit_pattern();
unsigned int print_bit_pattern();
unsigned int prpckt();
unsigned int prpckp();
#endif /* PROTOTYPE_ALLOWED */

#endif /* ifndef prtspecl_included */
